<div class="card">
    <div class="card-header">
        Product List
    </div>
    <div class="card-body">
        <H4 *ngIf="products.length==0"> Tere is no product in list</H4>

        <table *ngIf="products.length > 0" class="table table-striped table-bordered">
            <thead>
                <tr>
                    <th>No </th>
                    <th>Title </th>
                    <th>Description </th>
                    <th>Price </th>
                    <th>Brand</th>
                    <th>Category</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor = "let product of products; let index = index">
                    <td>{{index + 1}}</td>
                    <td>{{product['title']}}</td>
                    <td>{{product['description']}}</td>
                    <td>{{product['price']}}</td>
                    <td>{{product['brand']['title']}}</td>
                    <td>{{product['category']['title']}}</td>
                    <td>
                        <button class="btn btn-warning btn-sm">Edit</button>
                        <button (click)="onDelete(product)" style="margin-left: 10px;" class="btn btn-danger btn-sm">Delete</button>
    
                    </td>
                </tr>
            </tbody>


        </table>


    </div>

</div>